@echo off

rem Check and change the pathes to dtexec.exe if needed
set dtexec_x64="C:\Program Files\Microsoft SQL Server\140\DTS\Binn\DTExec.exe"
set dtexec_x86="C:\Program Files (x86)\Microsoft SQL Server\140\DTS\Binn\DTExec.exe"
if not exist %dtexec_x86% set dtexec_x86=%dtexec_x64%

rem Reads %source% variable from config.txt
for /F "eol=# tokens=1* delims==" %%i in (export-config.txt) do set %%i=%%j

rem Reads and parses lines of task.txt
for /F "eol=# tokens=1* delims==" %%i in (export-task.txt) do call :RUN_ONE %%i %%j %%k %%l %%m %%n %%o %%p %%q

goto END

:RUN_ONE
set name=%1
set file=%~f1
set package=%2
set password=%3
set type=%4
set platform=%5
set template=%6

rem The connection string for destination file
set destination=
if .%type%.==.csv. set destination=\Package.Connections[DestinationConnectionFlatFile].Properties[ConnectionString];%file%
if .%type%.==.jet. set destination=\Package.Connections[DestinationConnectionExcel].Properties[ConnectionString];\""Provider=Microsoft.Jet.OLEDB.4.0;Data Source=%file%;Extended Properties="Excel 8.0;HDR=YES";\""
if .%type%.==.ace. set destination=\Package.Connections[DestinationConnectionOLEDB].Properties[ConnectionString];\""Provider=Microsoft.ACE.OLEDB.12.0;Data Source=%file%;Extended Properties="Excel 12.0"\""
if .destination.==.. goto END

rem The dtexec for required platform
set dtexec=
if .%platform%.==.x86. set dtexec=%dtexec_x86%
if .%platform%.==.x64. set dtexec=%dtexec_x64%
if .dtexec.==.. goto END

rem Delete an old workbook if specified
if .%template%.==.delete. if exist %file% del %file% > nul

rem Makes a new workbook using a template
if exist %template% copy %template% %file% > nul

echo.
echo %package% to %name%
echo.
%dtexec% /file %package% /decrypt %password% /set %source% /set %destination% /reporting E > %package%.log
type %package%.log

:END
